#include <iostream>
using namespace std;
int main()
    {
         int n;
    cin >>n;
    int p[n];
    int ind=0;
    int ind2=0;
    int max=0;
    int max2=0;
		int b=0;
	int a=0;
	
	
	for(int i=0;i<n;i++)
	{
        cin>>p[i];
		if(p[i]>=max)
		{
		
		   max=p[i];
		   ind=i;	
			
		}   	
	
	}
	
	if(p[0]==max&& ind==0)
	{
	     for(int i=2;i<n;i++)
		 {
	         if(max2<p[i])	
			 {
			 	max2=p[i];
			 	ind2=i;
			 }
		 }
		 int t=p[1];
		 p[1]=p[ind2];	
		 p[ind2]=t;
	}
	else
	{
		while(a!=1)
		{ 
		   int t=p[0];
		   p[0]=p[ind];
		   p[ind]=t;
		}
		
	}
	
	for(int i=0;i<n;i++)
	   {
	     cout<<p[i]<<" ";	
	   	
	   }
	
	
	
	
	
	
	
	
	
	
	
	
	return 0;